Subject: Re: [bug#63943] [PATCH 0/5] Update Fibers to 1.3.1

From: Christopher Baines <[email-masked]>
Date: Sat, 10 Jun 2023 13:23:39 +0100

Ludovic Courtès <[email-masked]> writes:

> Hello!
>
> This is the much anticipated upgrade of Fibers to 1.3.1, which among
> other things brings a libevent backend, making it usable on non-Linux
> systems.
>
> To me it’s important so we can upgrade the Shepherd in use on GNU/Hurd
> (it’s still stuck at 0.8 because so far Fibers lacked support for
> non-Linux systems), which in turn means we can use the newer Shepherd
> APIs in its config file.  Unfortunately, while shepherd cross-builds
> and runs on GNU/Hurd, I’m not confident it “works”.  I’ll write more
> in a separate message.
>
> There’s still one users of ‘guile-fibers-1.1’: ‘guile-gemini’.  It
> can probably run on Fibers 1.3 but I don’t think it has tests for
> that.
>
> Thoughts?
>
> Ludo’.
>
> Ludovic Courtès (5):
>   gnu: guile-fibers: Add 1.3.1.
>   gnu: [email-masked]: Use guile-fibers 1.3.1.
>   gnu: cuirass: Use guile-fibers 1.3.1.
>   gnu: guile-fibers: Remove 'guile-fibers-next'.
>   gnu: gnunet-scheme: Use guile-fibers 1.3.1.

Looks good to me, [1] is looking good as well.

1: https://qa.guix.gnu.org/issue/63942